rox (1:2.11-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS under some locales (thx Vagrant Cascadian, closes: #979593).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2021 03:48:49 +0100

rox (1:2.11-3) unstable; urgency=medium

  * QA upload.
  * Comment out outdated and down VCS.
  * Replace menu entry with .desktop (Closes: #647377, #541976)
  * Depend on sensible-utils.
  * Don't invoke update-mime-info manually (Closes: #860844)
  * Convert README-es to UTF-8.
  * Fix FTCBFS: (Closes: #905951, Helmut Grohne)
    + Pass --host to the ./configure wrapper.
    + Also export a suitable PKG_CONFIG.
  * Install Templates.ui (Closes: #546907)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 01 Jan 2021 04:39:36 +0100

rox (1:2.11-2) unstable; urgency=medium

  * Orphaning the package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Dec 2020 12:50:01 +0000

rox (1:2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #957770)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 May 2020 12:14:41 +0100

rox (1:2.11-1) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #670731)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix maintainer-script-ignores-errors postinst (Lintian).

  [ Graham Inggs ]
  * Update to canonical Vcs fields and new collab-maint repository.
  * Remove build-depends on libxp-dev.
    (Closes: #623661)
  * Updated d/watch taken from QA, thanks Bart Martens.
  * New upstream.
    (Closes: #699801)
  * Update d/patches and remove build-depends on libglade2-dev.
  * Bump epoch so Ubuntu can sync automatically.
    (Closes: #734698)
  * Build with hardening and -Wl,--as-needed flags.
  * Machine-readable d/copyright file.
  * Bump Standards-Version to 3.9.5, no further changes.

  [ Francesco Paolo Lovergine ]
  * Reshuffled layout of debian/control. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 09 Mar 2014 15:28:17 +0100

rox (2.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: support.o: undefined reference to symbol
    'floor@@GLIBC_2.2.5'":
    add patch gcc-4.8.dpatch to link against math lib.
    (Closes: #713627)

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2013 15:16:21 +0200

rox (2.10-3) unstable; urgency=low

  * Added asneeded.dpatch to fix a missing libdl linking. 
    Thanks Mahyuddin Susanto.
    (closes: #556327)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Jun 2011 13:09:22 +0200

rox (2.10-2) unstable; urgency=low

  * Merged NMU: drop (unused) build-dep on libxtrap-dev, which is going
    to be removed. Thanks Zack. (closes: #559698)
  * Changed upstream pt_BR.po.
    (closes: #558326)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 16 Mar 2010 15:04:20 +0100

rox (2.10-1) unstable; urgency=low

  [ Tony Houghton ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Added Vcs-* field for common git repository.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 01 Aug 2009 16:50:58 +0200

rox (2.9-2) unstable; urgency=low

  * Now applying nostrip.dpatch for true :-(

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Jul 2009 17:05:14 +0200

rox (2.9-1) unstable; urgency=low

  * New upstream release: patchset not changed.
    (closes: #535602, #536396)
  * Debhelper level set to 7.
  * Menu section set to Applications/File Management which seems more appropriate.
  * Policy bumped to 3.8.2
  * Removed obsolete x-dev dependency.
    (closes: #515521)
  * The manual.sh script is not bash dependent, fixed sheebang line. 
  * Added nostrip.dpatch to remove upstream auto-stripping of rox binary.
    (closes: #437924)
  * Added a simple debopts management in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 09 Jul 2009 18:57:49 +0200

rox (2.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed locale support in global.dpatch.
    (closes: #483530)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Sep 2008 20:17:04 +0200

rox (2.7.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #417240, #325332)
  * Policy bumped to 3.7.3 (no changes). 
  * Patchset revised. 
  * Added libglade2-dev build-dep.
  * Added zeroinstall-injector recommendation.
    (closes: #443079)
  * Debhelper level bumped to 5.
  * Added Homepage field in debian/control.
  * Changed maintainer address back to my address, because ROX team is inactive.
  * Menu section moved to Applications as in current policy.
  * Removed obsolete debhelper compatibilty declaration in debian/rules. 
  * debian/scripts/locale.sh changed to use current ROX locale structure.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 17 May 2008 12:33:46 +0200

rox (2.5-1) unstable; urgency=low

  * New upstream version.
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 15:12:52 +0200

rox (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed listview.dpatch (merged upstream).
  * Removed superlfluous pm-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 30 Jan 2006 17:30:12 +0100

rox (2.4-2) unstable; urgency=low

  * Added listview.dpatch. It will be integrated in 2.4.1
    (closes: #344678,#345361)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 31 Dec 2005 09:39:33 +0100

rox (2.4-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Dec 2005 09:46:14 +0100

rox (2.3-2) unstable; urgency=low

  * Added share-mime-info build-dep and updated version.
    (closes: #339767)
  * Updated clean rule to remove the build dir too.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 19 Nov 2005 21:23:45 +0100

rox (2.3-1) unstable; urgency=low

  * New upstream release
    (closes: #322485)
  * Removed de.po patch
  * Minor changes to rules file, due to changes in upstream build system.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 16 Nov 2005 13:47:22 +0100

rox (2.2.0-3) unstable; urgency=low

  * Added toolbar.dpatch patch to remove a double definition of a variable.
    (closes: #288439)
  * Added apprun.dpatch patch to complete transition to x-terminal-emulator alternative.
    (closes: #299134)
  * Patched de.po via dpatch.
    (closes: #313825)
  * xlibs-static-dev build-dep was superfluous: removed.
  * Policy bumped to 3.6.2, no changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jul 2005 15:11:12 +0200

rox (2.2.0-2) unstable; urgency=high

  * Added auto detection of the silly arch-dependent building directory in rules file.
    (closes: #293413)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 12 Feb 2005 20:49:44 +0100

rox (2.2.0-1) unstable; urgency=low

  * New upstream release
    (closes: #273072)
  * Disabled current menu method to avoid breaking FHS. It needs a better knowledge of rox-filer inners.
    Maybe I'll re-introduce that later, if truly useful.
    Also added menu to suggested packages in control.
    (closes: #286162)
  * Removed additional debian images and sharutils dependency.
  * Rules file revised to meet current building system and files.
  * rox-filer binary renamed rox, the same for all other rox-filer refs.
    Leaving rox-filer symlink anyway.
    (closes: #274007)
  * Added mimeapps.dpatch and dnd.patch to manage mime apps for text and text-html a la debian way.
    (closes: #289314)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 30 Jan 2005 11:59:27 +0100

rox (2.1.3-1) unreleased; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 21 Dec 2004 23:13:09 +0100

rox (2.0.1-3) unstable; urgency=low

  * Using '.' instead of bash 'source' within /debian/addons/rox-filer.
    (closes: #272936)
  * Now /usr/share/rox symlinks /usr/share/rox-filer. Unfortunately rox-filer
    uses both paths to get images.
    I don't know yet if it is the best thing to do for a future rox desktop, anyway...
    (closes: #272962)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 23 Sep 2004 14:50:02 +0200

rox (2.0.1-2) unstable; urgency=low

  [Francesco P. Lovergine]

  * Little typo in long description corrected.
  * Added a few missing X-dev build-deps.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 23 Sep 2004 13:12:35 +0200

rox (2.0.1-1) unstable; urgency=low

  [Marcin Juszkiewicz]

  * New upstream release
  * This version contains various bugfixes backported from the current
    developer series.

  [Francesco P. Lovergine]

  * New official maintainer, now in Debian
    (closes: #120209)
  * Maintainer set to ROX-in-Debian Project Team.
  * Me added as uploader.
  * Now using dpatch for patch-management. Rules and control changed
    as consequence.
  * Added a missing build-dep: libsm-dev
  * Binary package rox renamed in rox-filer and changed things around to
    work with the new name (scripts and patch too).
  * Rules file revised in too many places to list them.
  * Added DEBHELPER tag at the end of postinst.
  * Changelog encoding set to UTF-8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 29 Jul 2004 15:01:11 +0200

rox (2.0.0-1) unstable; urgency=low

  * New upstream release
  * This version is released as STABLE and replace ROX-Filer 1.2.x so finally
    I will package both versions - stable 2.0.x and development 2.1.x
  * In nearest time I will probably rename ROX-Filer package - 'rox' will be
    used for stable branch and other name for development.

 -- Marcin Juszkiewicz <marcinj@hrw.one.pl>  Mon,  2 Jun 2003 10:52:53 +0200

rox (1.3.10-1) unstable; urgency=low

  * New upstream release

 -- Marcin Juszkiewicz <marcinj@hrw.one.pl>  Thu, 29 May 2003 14:49:11 +0200

rox (1.3.9-1) unstable; urgency=low

  * New upstream Release

 -- Marcin Juszkiewicz <marcinj@hrw.one.pl>  Mon, 19 May 2003 11:46:34 +0200

rox (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Marcin Juszkiewicz <marcinj@hrw.one.pl>  Wed,  9 Apr 2003 18:21:52 +0200

rox (1.3.7-1) unstable; urgency=low

  * New upstream release

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Thu, 27 Feb 2003 21:11:26 +0100

rox (1.3.6-4) unstable; urgency=low

  * Forgot to add sharutils to Build-Depends (thanks go to Markus Metsala) 

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Wed,  5 Feb 2003 19:25:47 +0100

rox (1.3.6-3) unstable; urgency=low

  * Debian building changes:
    - DEB_BUILD_OPTIONS are checked when building as it is in policy
      version 3.5.7
    - now it is properly packaged into diff.gz and orig.tar.gz as it should be.
    - additional images are kept as uuencoded and decoded during install phase

  * Debian changes:
    - ROX-Filer own .DirIcon used (before package used XPM one)

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Thu, 30 Jan 2003 18:58:08 +0100

rox (1.3.6-2) unstable; urgency=low

  * fixed link to documentation (patch was taken from rox-filer-hrw and not
    edited) - reported by Klaus-M. Klingsporn

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Sat, 11 Jan 2003 18:51:24 +0100

rox (1.3.6-1) unstable; urgency=low

  * New upstream release

  * Debian changes:
    - patches replaced by one big patch which do-it-all (taken from my
    rox-filer-hrw package)
    - removed menu icon - 24 colors is not enough for it

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Fri, 10 Jan 2003 19:56:53 +0100

rox (1.3.5-1) unstable; urgency=low

  * New upstream release

  * Debian changes:
    - images/ cleanup - application.png was missing
    - build system changed to the same as in rox-filer-hrw (but rox is still
      'vanilla' rox)
    - First directory to write config is ~/.rox_choices - Thomas Leonard
    reported that my package cannot create ~/.rox/Choices directory. But
    ~/.rox/Choices is still used if you have it.

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Thu,  5 Dec 2002 15:31:35 +0100

rox (1.3.4-4) unstable; urgency=low

  * Added Norwegian translation (Sigve Indregard). 

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Tue, 29 Oct 2002 20:05:43 +0100

rox (1.3.4-3) unstable; urgency=low

  * Added Swedish translation (Marcus Lundblad).
  * Updated French manual translation (Arnaud Calvo).
  * Updated French translation (Vincent Lefévre).
  * Updated Polish translation (me :).

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Sun, 20 Oct 2002 23:34:52 +0200

rox (1.3.4-2) unstable; urgency=low

  * Finally I am ROX-Filer Debian package maintainer. Big thanks go to Jan
    Wagemakers which started packaging rox.
  * Fixed patches/30_helpdir.patch - it points to rox-cvs directory

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Mon, 14 Oct 2002 18:52:50 +0200

rox (1.3.4-1) unstable; urgency=low

  * New upstream release

  * Debian changes:
    - hardcoded APP_DIR replacement (to /usr/share/rox)
    - all files moved from /usr/apps/ROX-Filer to /usr/share/rox
    - binary moved to /usr/bin/rox (removed from
      /usr/apps/ROX-Filer/platform-arch)
    - replaced rox script with rox binary (ROX-Filer himself)
    - moved 'Choices' from ~/Choices to ~/.rox/Choices (as in package by
      Filip Van Raemdonck)
    - moved HTML help to /usr/share/doc/rox/html/
    - moved Readmes, Todo to /usr/share/doc/rox/
    - moved Changes to /usr/share/doc/rox/changelog
    - moved all files to /usr/share/rox
    - added Appicon.xpm for menu

  * building changes:
    - debhelper V4 compatible
    - lintian/linda friendly
    - debian/README.Debian added
    - debian/control - added shared-mime-info to Depends
    - debian/control - added Build-Depends
    - debian/control - me as maintainer
    - debian/copyright - include info about my rox-cvs packages
    - patching manuals to get correct links to styles and picture
    - source depacking moved to build target

 -- Marcin Juszkiewicz <marcin@amiga.pl>  Mon,  7 Oct 2002 19:16:20 +0200

rox (1.3.3-3) unstable; urgency=low

  * Added /etc/menu-methods/rox 

 -- Jan Wagemakers <janw@easynet.be>  Wed,  7 Aug 2002 23:58:46 +0200

rox (1.3.3-2) unstable; urgency=low

  * Added "Conflicts/Replaces: rox-base" to control

 -- Jan Wagemakers <janw@easynet.be>  Wed,  7 Aug 2002 17:49:46 +0200

rox (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Wed,  7 Aug 2002 08:12:21 +0200

rox (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sun, 21 Apr 2002 08:20:56 +0200

rox (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sat, 23 Feb 2002 11:19:34 +0100

rox (1.1.14-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sat, 16 Feb 2002 13:39:38 +0100

rox (1.1.13-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sat,  9 Feb 2002 10:36:49 +0100

rox (1.1.12-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Sat, 26 Jan 2002 10:52:42 +0100

rox (1.1.11-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Fri, 11 Jan 2002 09:56:27 +0100

rox (1.1.10-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@easynet.be>  Mon, 31 Dec 2001 08:39:06 +0100

rox (1.1.9-2) unstable; urgency=low

  * ROX is now in the menu Apps/System instead of Apps/Misc

 -- Jan Wagemakers <janw@digibel.org>  Sat, 15 Dec 2001 10:46:44 +0100

rox (1.1.9-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Sat, 15 Dec 2001 09:49:55 +0100

rox (1.1.8-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Wed, 31 Oct 2001 19:15:11 +0100

rox (1.1.7-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Thu, 13 Sep 2001 09:17:03 +0200

rox (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Sat, 21 Jul 2001 11:33:04 +0200

rox (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Sat, 19 May 2001 19:18:31 +0200

rox (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@digibel.org>  Sat,  7 Apr 2001 10:42:04 +0200

rox (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@linuxfreak.com>  Sat,  3 Mar 2001 12:28:44 +0100

rox (1.1.0-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagemakers <janw@linuxfreak.com>  Thu, 25 Jan 2001 16:00:40 +0100

rox (1.0.0-2) unstable; urgency=low

  * Removed the 'src' directory.
  * Title (menu) changed to ROX (RISC OS on X).

 -- Jan Wagemakers <janw@linuxfreak.com>  Wed, 27 Dec 2000 12:19:48 +0100

rox (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * This is my first Debian package.

 -- Jan Wagemakers <janw@linuxfreak.com>  Mon, 25 Dec 2000 12:25:01 +0100

